searchData={"items":[{"type":"module","title":"ReqS3","doc":"`Req` plugin for [Amazon S3](https://aws.amazon.com/s3).\n\nReqS3 handles a custom `s3://` url scheme that supports two endpoints:\n\n```text\ns3://         # list bucket items\ns3:// /  # get item content\n```","ref":"ReqS3.html"},{"type":"function","title":"ReqS3.attach/1","doc":"Runs the plugin.","ref":"ReqS3.html#attach/1"},{"type":"function","title":"Examples - ReqS3.attach/1","doc":"iex> req = Req.new() |> ReqS3.attach()\n    iex> Req.get!(req, url: \"s3://ossci-datasets\").body |> Enum.take(5)\n    [\n      \"mnist/\",\n      \"mnist/t10k-images-idx3-ubyte.gz\",\n      \"mnist/t10k-labels-idx1-ubyte.gz\",\n      \"mnist/train-images-idx3-ubyte.gz\",\n      \"mnist/train-labels-idx1-ubyte.gz\"\n    ]\n\n    iex> req = Req.new() |> ReqS3.attach()\n    iex> body = Req.get!(req, url: \"s3://ossci-datasets/mnist/train-images-idx3-ubyte.gz\").body\n    iex>  > = body\n    iex> {n_images, n_rows, n_cols}\n    {60_000, 28, 28}","ref":"ReqS3.html#attach/1-examples"},{"type":"extras","title":"ReqS3","doc":"# ReqS3\n\n[Req](https://github.com/wojtekmach/req) plugin for [Amazon S3](https://aws.amazon.com/s3/).\n\nReqS3 handles a custom `s3://` url scheme that supports two endpoints:\n\n```text\ns3://         # list bucket items\ns3:// /  # get item content\n```","ref":"readme.html"},{"type":"extras","title":"Usage - ReqS3","doc":"```elixir\nMix.install([\n  {:req, \"~> 0.4.0\"},\n  {:req_s3, \"~> 0.1.0\"}\n])\n\nreq = Req.new() |> ReqS3.attach()\nReq.get!(req, url: \"s3://ossci-datasets\").body\n#=>\n# [\n#   \"mnist/\",\n#   \"mnist/t10k-images-idx3-ubyte.gz\",\n#   \"mnist/t10k-labels-idx1-ubyte.gz\",\n#   \"mnist/train-images-idx3-ubyte.gz\",\n#   \"mnist/train-labels-idx1-ubyte.gz\"\n# ]\n\nreq = Req.new() |> ReqS3.run()\nbody = Req.get!(req, url: \"s3://ossci-datasets/mnist/train-images-idx3-ubyte.gz\").body\n > = body\n{n_images, n_rows, n_cols}\n#=> {60_000, 28, 28}\n```","ref":"readme.html#usage"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.1.1 (2023-09-01) - CHANGELOG","doc":"* Support Req v0.4.","ref":"changelog.html#v0-1-1-2023-09-01"},{"type":"extras","title":"v0.1.0 (2022-08-24) - CHANGELOG","doc":"* Initial release","ref":"changelog.html#v0-1-0-2022-08-24"}],"content_type":"text/markdown"}